Bug 103720 - logwatch creates bogus tempdirs in root
Summary: logwatch creates bogus tempdirs in root
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logwatch   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-04 11:12 UTC by Pekka Savola
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-05 18:05:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix bogus tmp dirs (417 bytes, patch)
2003-09-04 11:13 UTC, Pekka Savola
no flags Details | Diff

Description Pekka Savola 2003-09-04 11:12:21 UTC
Logwatch 4.3.1 creates bogus directories in /, like :

drwx------    2 root     root         4096 Jul 20 04:22 tmplogwatch.1460
drwx------    2 root     root         4096 Jul 13 04:22 tmplogwatch.16967
drwx------    2 root     root         4096 Aug  3 04:22 tmplogwatch.20148
drwx------    2 root     root         4096 Jul  9 15:57 tmplogwatch.20451
drwx------    2 root     root         4096 Aug 17 04:22 tmplogwatch.23379
drwx------    2 root     root         4096 Aug 31 04:22 tmplogwatch.26198
drwx------    2 root     root         4096 Aug 10 04:22 tmplogwatch.5321
drwx------    2 root     root         4096 Aug 24 04:22 tmplogwatch.9072

This is fixed by the attached patch.

I've also set the patch upstream, as the CVS version is also buggy.

Comment 1 Pekka Savola 2003-09-04 11:13:01 UTC
Created attachment 94195 [details]
patch to fix bogus tmp dirs

Comment 2 Elliot Lee 2003-09-05 18:05:03 UTC
Fix is in CVS, will get to rawhide eventually.


Note You need to log in before you can comment on or make changes to this bug.